Deals
Update deal
You can only specify properties to update in the properties field as this method will PATCH the existing deal.
Properties not found in the properties field will not be modified.
PATCH
/
v3
/
deals
/
{id}
Update deal
curl --request PATCH \
--url https://api.example.com/v3/deals/{id} \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"id": 123,
"stage": "<string>",
"closeDate": "2023-11-07T05:31:56Z",
"contractStartDate": "2023-11-07T05:31:56Z",
"contractEndDate": "2023-11-07T05:31:56Z",
"properties": {},
"partners": [
{
"partnerId": 7,
"partnerType": "Reseller",
"userPartnerOwnerId": 15
}
],
"ownerUserId": 123,
"currency": "<string>"
}
'import requests
url = "https://api.example.com/v3/deals/{id}"
payload = {
"id": 123,
"stage": "<string>",
"closeDate": "2023-11-07T05:31:56Z",
"contractStartDate": "2023-11-07T05:31:56Z",
"contractEndDate": "2023-11-07T05:31:56Z",
"properties": {},
"partners": [
{
"partnerId": 7,
"partnerType": "Reseller",
"userPartnerOwnerId": 15
}
],
"ownerUserId": 123,
"currency": "<string>"
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
id: 123,
stage: '<string>',
closeDate: '2023-11-07T05:31:56Z',
contractStartDate: '2023-11-07T05:31:56Z',
contractEndDate: '2023-11-07T05:31:56Z',
properties: {},
partners: [{partnerId: 7, partnerType: 'Reseller', userPartnerOwnerId: 15}],
ownerUserId: 123,
currency: '<string>'
})
};
fetch('https://api.example.com/v3/deals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"contactId": 123,
"sourcePartnerId": 123,
"stage": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"totalAmount": 123,
"properties": {},
"sourceLeadId": 123,
"status": "Unknown",
"partners": [
{
"id": 123,
"dealId": 123,
"userPartnerOwnerId": 123,
"userPartnerOwnerName": "<string>",
"userPartnerFirstName": "<string>",
"userPartnerLastName": "<string>",
"userPartnerEmail": "<string>",
"userPartnerJobTitle": "<string>",
"userPartnerPhoneNumber": "<string>",
"userPartnerLinkedInProfileUrl": "<string>",
"partnerId": 123,
"partnerTypeId": 123,
"creationDate": "2023-11-07T05:31:56Z",
"partnerName": "<string>",
"partnerTypeName": "<string>"
}
],
"contractStartDate": "2023-11-07T05:31:56Z",
"contractEndDate": "2023-11-07T05:31:56Z",
"ownerUserId": 123,
"owner": {
"id": 123,
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"closeDate": "2023-11-07T05:31:56Z",
"customerId": 123,
"currency": "<string>"
}Path Parameters
The ID of the deal to update.
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Response
Deal updated
Show child attributes
Show child attributes
Available options:
Unknown, Pending, Accepted, Refused, Expired Show child attributes
Show child attributes
Show child attributes
Show child attributes
Update deal
